Print queue

List print queue jobs

GET
/orgs/{organizationId}/print-queue

Lists print queue jobs with pagination, filtering, and sorting. Use status and type filters to monitor pending, processing, completed, or failed jobs.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""type""referenceId""status""invoiceId""paymentReportId""accessMethodId""identityDocumentScanId""scheduledAt""attemptCount""lastError""claimedAt""finishedAt""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
invoiceId?string|array<string>|null
paymentReportId?string|array<string>|null
accessMethodId?string|array<string>|null
identityDocumentScanId?string|array<string>|null
type?|array<>|
status?|array<>|
attemptCount?number||
scheduledAt?|null
claimedAt?|null
finishedAt?|null
createdAt?|null
updatedAt?|null
referenceId?string|array<string>|
lastError?string|array<string>|
hasInvoice?boolean|string|number|null
hasNoInvoice?boolean|string|number|null
hasPaymentReport?boolean|string|number|null
hasNoPaymentReport?boolean|string|number|null
hasAccessMethod?boolean|string|number|null
hasNoAccessMethod?boolean|string|number|null
hasIdentityDocumentScan?boolean|string|number|null
hasNoIdentityDocumentScan?boolean|string|number|null

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/print-queue'
null